<?php

// Вставить в начало любого метода чтобы отследить откуда он вызывается.

$trace = debug_backtrace(DEBUG_BACKTRACE_IGNORE_ARGS, 5);

foreach ($trace as $i => $frame) {
    $file = $frame['file'] ?? '[internal]';
    $line = $frame['line'] ?? '?';
    $func = $frame['function'] ?? '?';
    $class = $frame['class'] ?? '';
    $type = $frame['type'] ?? '';

    echo "#$i $file:$line $class$type$func()\n";
}